﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp87
{
    public partial class Form1 : Form
    {
        delegate void mydel(String s);
        protected override void OnPaint(PaintEventArgs e)
        {
            GraphicsPath shape = new GraphicsPath();
            shape.AddEllipse(0, 0, 300, 300);
            this.Region = new Region(shape);
        }
        public Form1()
        {
            InitializeComponent();
        }

        private void exitToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void minimizeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.WindowState = FormWindowState.Minimized;
        }

        private void hideToolStripMenuItem_Click(object sender, EventArgs e)
        {
            button1.Hide();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            MessageBox.Show(Screen.PrimaryScreen.Bounds.Width.ToString());
        }

        int addTwoNumbers(int a , int b)
        {
            return a + b;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            Top += 10;
            Left += 10;
        }

        void myMessage(String s)
        {
            MessageBox.Show("Hello " + s);
        }

        void myMessage2(String s)
        {
            MessageBox.Show("Hi " + s);
        }

        void someFunction(mydel d, String s)
        {
            d(s);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //mydel d1 = myMessage;
            //d1("John");
            mydel d = myMessage;
            d += myMessage2;
            
            someFunction(d, "Maria");
            
        }
    }
}
